1. Affiliate.com API Endpoints
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Affiliate.com API Endpoints

Networks

Networks API Overview#

The Networks API allows users to retrieve detailed information about affilate networks. This API provides comprehensive details about these affiliate networks, including their identifiers, names, logos, merchant counts, product counts, associated groups, and countries.

Endpoint#

GET /v1/networks

API Description#

The Networks API is designed to provide users with detailed information about individual affiliate networks. Each network may have its own set of merchants, products, and specific characteristics. This API facilitates the retrieval of such detailed information, supporting pagination to manage large sets of data efficiently. Users can leverage this information to display, analyze, or manage network data within their applications.

Response#

A successful response returns a JSON object with metadata about the pagination and an array of network details.
{
  "meta": {
    "total": 0,
    "from": 1,
    "to": 0,
    "current_page": 1,
    "last_page": 0,
    "per_page": 100,
    "fields": [
      "id",
      "name",
      "logo_url",
      "merchant_count",
      "merchant_count_active",
      "product_count",
      "group",
      "country"
    ]
  },
  "data": [
    {
      "id": 211,
      "name": "ClixGalore Australia",
      "logo_url": "https://api.affili8.dev/img/logos/groups/10011/128x128.png",
      "merchant_count": 398,
      "merchant_count_active": 13,
      "product_count": 61972,
      "group": {
        "id": 10011,
        "name": "ClixGalore"
      },
      "country": {
        "id": "AU",
        "iso3": "AUS",
        "name": "Australia"
      }
    },
    {
      "id": 212,
      "name": "ClixGalore New Zealand",
      "logo_url": "https://api.affili8.dev/img/logos/groups/10011/128x128.png",
      "merchant_count": 39,
      "merchant_count_active": 2,
      "product_count": 652,
      "group": {
        "id": 10011,
        "name": "ClixGalore"
      },
      "country": {
        "id": "NZ",
        "iso3": "NZL",
        "name": "New Zealand"
      }
    },
    {
      "id": 213,
      "name": "ClixGalore UK",
      "logo_url": "https://api.affili8.dev/img/logos/groups/10011/128x128.png",
      "merchant_count": 139,
      "merchant_count_active": 3,
      "product_count": 742,
      "group": {
        "id": 10011,
        "name": "ClixGalore"
      },
      "country": {
        "id": "GB",
        "iso3": "GBR",
        "name": "United Kingdom"
      }
    },
    {
      "id": 221,
      "name": "Webgains UK Coupons/Deals",
      "logo_url": "https://api.affili8.dev/img/logos/groups/10036/128x128.png",
      "merchant_count": 1933,
      "merchant_count_active": 0,
      "product_count": 0,
      "group": {
        "id": 10036,
        "name": "Webgains"
      },
      "country": {
        "id": "GB",
        "iso3": "GBR",
        "name": "United Kingdom"
      }
    }
  ]
}

Response Fields#

Main Response#

Field NameTypeDescription
metaobjectMetadata about the pagination.
dataarrayThe array of networks.

meta Object#

Field NameTypeDescription
totalintegerThe total number of items.
limitintegerThe number of items per page.
offsetintegerThe offset of the current page.

data Array#

network Object#

Field NameTypeDescription
idintegerThe unique identifier of the network.
nameintegerThe name of the network.
logo_urlstringThe URL of the network's logo.
merchant_countintegerThe total number of merchants in the network.
merchant_count_activeintegerThe number of active merchants in the network.
product_countintegerThe total number of products in the network.
groupobjectThe group to which the network belongs.
countryobjectThe country associated with the network.
group Object#
Field NameTypeDescription
group.idintegerThe unique identifier of the group.
group.namestringThe name of the group.
country Object#
Field NameTypeDescription
country.idstringThe country code (ISO 3166-1 alpha-2).
country.iso3stringThe country code (ISO 3166-1 alpha-3).
country.namestringThe name of the country.

Parameters#

Parameter NameTypeRequiredDescription
/{id}stringNoFilters response to a single network by its ID
fieldsstringNoLimit to the return to the fields specified
pageintegerNoThe page number to retrieve. Defaults to 1.
per_pageintegerNoThe number of items per page. Defaults to 100.
searchstringNoThe network name you are searching (e.g. ?search=impact)
Modified at 2024-11-19 02:50:17
Previous
List All Network Groups
Next
List All Networks